Cocoon API: Class ServletLogger

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.logger
Class ServletLogger

    java.lang.Object
      |
      +--org.apache.cocoon.logger.AbstractLogger
            |
            +--org.apache.cocoon.logger.ServletLogger

All Implemented Interfaces:
  Logger, Status

public class ServletLogger
extends AbstractLogger
implements Status

Version:
  $Revision: 1.2 $ $Date: 2000/04/08 00:47:03 $
Author:
  Stefano Mazzocchi

Fields inherited from class org.apache.cocoon.logger.AbstractLogger
`loglevel`

Fields inherited from interface org.apache.cocoon.logger.Logger
`CRITICAL, DEBUG, EMERGENCY, ERROR, INFO, WARNING`

Constructor Summary
`ServletLogger(javax.servlet.ServletContext context, java.lang.String level)`

Method Summary
`java.lang.String` | `getStatus()` Returns information about the status of the implementing class.
`protected void` | `log(java.lang.Exception exception, java.lang.String message)`
`protected void` | `log(java.lang.String message)`

Methods inherited from class org.apache.cocoon.logger.AbstractLogger
`getLevel, log, log, log, log, setLevel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServletLogger

    public ServletLogger(javax.servlet.ServletContext context,
                         java.lang.String level)

Method Detail

### log

    protected void log(java.lang.String message)

  Overrides:
    `log` in class `AbstractLogger`

### log

    protected void log(java.lang.Exception exception,
                       java.lang.String message)

  Overrides:
    `log` in class `AbstractLogger`

### getStatus

    public java.lang.String getStatus()

  Description copied from interface: `Status`
  Returns information about the status of the implementing class. Note: this is use instead of the usual `toString()` method because some of these methods are declared final in some classes in JDK 1.1.
  Specified by:
    `getStatus` in interface `Status`

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.